Subject: [os2genau_digest] No. 1341
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 29 Jul 2006 00:00:41 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 28 July 2006
 Number  1341
**************************************************

Subjects for today
 
1  Re:  Problems accessing Injoy site with Firefox/2 : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  Problems accessing Injoy site with Firefox/2 : Peter Moylan <peter at ozebelg dot org>
3   Fuzz testing : Dennis Nolan <djn at aanet dot com dot au>
4   AJAX : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Fri, 28 Jul 2006 00:07:43 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Problems accessing Injoy site with Firefox/2

<quote who="Mike O'Connor">
> brianb at kdfisher dot com dot au wrote:
>> As far as I am concerned Flash is just
>> bloatware eyecandy that the web could well do without.
>>
>> If flash bits don't work I really don't care!
>> I will view the site without them or if the site
>> is unusable without flash stuff I will go elsewhere.
>> -----------------------------------------

whilst I largely agree that flash is mainly an udesirable burden, let me
just bring up a true story that happened to me few years ago

I was aware of a web site that was all flash, latest version only;
backlevel flash- no website
no flash - no website

as I knew the MD of the company in question, I arranged a meeting, and,
brought it up in coversation , the shortcomings of not having non-flash
alternative

the MD listened carefully, and asked some question, I explained how unless
the end user had the latest flash, they couldn't see the web site, and,
would 'go somewhere else'

well, said the MD, if they don't have the latest browsers with the latest
flash, we are not interested in them, they're not clients for us

as I remembered how my parents told me not to argue with my sister, I
didn't pursue the argument any further.

as a footnote, the business of providing OS/2 services went in totally
different direction to the business with flash only web site, and, I'll
leave it to the readers to guess the directions of respective
trajectories.

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Fri, 28 Jul 2006 08:31:09 +1000
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  Problems accessing Injoy site with Firefox/2

Voytek Eymont wrote:

> the MD listened carefully, and asked some question, I explained how 
> unless the end user had the latest flash, they couldn't see the web 
> site, and, would 'go somewhere else'
> 
> well, said the MD, if they don't have the latest browsers with the 
> latest flash, we are not interested in them, they're not clients for 
> us

And if they later get the latest Flash, they're lost clients.

I don't know how big a factor that is. What I do know is that there are
Windows-using companies out there who won't use certain brands of
printer because they got burnt several years ago with lousy or
non-existent OS/2 printer drivers.

I also know that upgrade decisions are often based on unexpected
factors. How did MS-Word come to displace the superior (at that time)
WordPerfect? At my workplace, it was because some highly-placed people
had a home computer with MS-Works preinstalled, and they ordered the
entire organisation to be compatible with their games machine.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org
Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
reliably receive mail at my newcastle.edu.au addresses.
The optusnet address still has about 2 months of life left.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 28 Jul 2006 08:35:23 +1000
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:   Fuzz testing

I've just been refered to a mob which does fuzz testing.
The theory is to enter stupid values and see what happens.

The site is
http://browserfun.blogspot dot com/

It is a very interesting browse.

Regards
Dennis.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 28 Jul 2006 19:52:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   AJAX

Hi All,

   During a private email conversation with Mike O'Connor we touched on 
the subject of AJAX applications. You can see may reply below. After 
writing this, I thought it might be of interest to the group and a 
useful discussion topic.

  This IS the "hottest thing" around on the Internet at the moment 
(until the next "big thing" ) but it is actually still in it's infancy 
however a lot of powerful players are getting behind it.

Cheers/2

ED.

Here's my conversation with Mike.

 > Hi Ed,
 >
 > What's AJAX? Never encountered the term previously! Is this like a
 > Java-based remote system?

AJAX is THE LATEST THING on the Web. It is code that runs within the 
browser - no matter which platform it is running on - so an Ajax 
appliaction that will run in Firefox on Linux or Windows, will also run 
in Firefox on OS/2 or MAC. I don't think it is JAVA based, more XHTML I 
"think". There's an article on it in APC. Go to http://www.ajaxwrite dot com

where it says:
==========================
ajaxWrite is a web-based word processor that can read and write 
Microsoft Word and other standard document formats. Anytime you need to 
open, read or write a word processor file, simply point your Firefox 
browser to www.ajaxwrite dot com and in seconds a full-featured program will 
be available for you to open, edit, print and save.

ajaxWrite has been designed to look like Microsoft Word, making it easy 
for anyone to start using it without needing to learn a new program. 
ajaxWrite also handles all the popular document formats so it's easy to 
share your files and collaborate with your co-workers and friends. Once 
finished with your document, you can easily save your work right to your 
hard drive. This keeps you organized and works in the same way that 
you're already accustomed to.

ajaxWrite works from a Firefox web browser on any operating system and 
on any device, no matter where you are or what computer you're using. 
And because the application itself lives on the web, we handle the 
updates automatically so that you don't have to deal with costly 
upgrades or getting stuck with old versions.
=========================

If some idiot insists that he must use IE not Firefox, then there's the 
equivalent at:  http://www.ajaxword dot com/ajaxword/

There's also the following AJAX sites for various Office applications - 
these are the ones listed in APC - I haven't tried them out yet -

www.writely dot com
www.zohowriter dot com
www.irows dot com
www.sheetster dot com
numsum dot com
www.editgrid dot com
www.thumbstacks dot com
basecamphq dot com
www.aceproject dot com
www.goffice dot com
thinkfree dot com
www.eyeos dot com
www.flysuite dot com
www.gmail dot com

(Note: the entries above without www are meant to be without www).

What this means is that in principal soon, for a small office 
installation it wont matter what OS is installed on the PC as long as it 
has Firefox installed. If one teams this all up (as Google are planning 
to do) with web based storage, it means you could use your applications 
and data from anywhere with any PC with Firefox and an internet 
connection ! You could even take a boot CD or USB key with you with 
Firefox pre installed, load a RAM resident OS - eg Linux or eComStation 
and operate.

Performance of applications written in AJAX appear to be miles ahead of 
classic Java applications.

Apparently components of AJAX have been around for sometime but under 
other names.
----------------------------------------------------------------------------------